GET
/api/v1/persistent_volume/{cluster_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/{cluster_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/{cluster_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/{cluster_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the persistent volumes on the cluster - each PV’s pv_id, pv_name, pv_size (in MB), status (e.g. BOUND), and creation time. The path takes the cluster_id (from List / Detail).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”cluster_id
required
integer
The cluster_id of the cluster (from List / Detail).
Example
10001Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
pv_list
Array<object>
object
pv_id
integer
pv_name
string
created_at
string
pv_size
Size in MB.
integer
status
string
cluster_name
string
service_id
integer
cluster_id
integer
is_dynamic
boolean
errors
object
message
string
Example
{ "code": 200, "data": { "pv_list": [ { "pv_id": 15996, "pv_name": "my-pv-10gb", "created_at": "2026-07-01T06:47:29.767868Z", "pv_size": 10000, "status": "BOUND", "cluster_name": "my-k8s-cluster", "service_id": 12345, "cluster_id": 10001, "is_dynamic": false } ] }, "message": "Success"}